Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Oct 2021 14:35:18 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 19 Oct 2021 22:09:27 +0300
> 
> >> You don't need to explain about buttons that drop a menu.
> >> This is irrelevant for the description of tab-bar-format.
> >> Just imagine there is no tab-bar-format-menu-global
> >> that uses own unrelated menu items.
> >
> > Sorry, that won't fly.  The doc string should explain enough for other
> > Lisp programmers to be able to produce buttons that drop down menus.
> 
> This is the whole point.  The doc string of this variable is not an
> appropriate place to teach Lisp programmers how to produce buttons
> that drop down menus.

That's not what I meant.  I meant to explain to people who already
know to produce menus how to format those menus in these two different
manners for two different effects.

> Or you might as well include the whole Emacs Lisp Reference Manual
> in this doc string.

This is not constructive and not helpful, let alone uncalled-for.

> > So please humor me with a detailed enough answer to my questions, I'm
> > investing enough energy in this stuff to be entitled to a bit more
> > than a couple of dismissive sentences.
> >
> > We must have a decent doc string for this defcustom.  Please help me
> > fix what we have now.
> 
> You assumed in the doc string that those menu items as used
> to display a menu, whereas in fact those menu items as used
> to display tabs and other buttons on the tab bar.

I'm trying to understand the difference between the two kinds of
menus, the one which causes the tab bar to display tabs, vs the one
that causes the display of a single tab that drops down a menu.
Please help me understand that difference.